export declare const LAYER_PREFIX = "DatadogLayer";
export declare const EXTENSION_LAYER_PREFIX = "DatadogExtension";
export declare const DD_ACCOUNT_ID = "464622532012";
export declare const DD_GOV_ACCOUNT_ID = "002406178527";
export declare const DD_HANDLER_ENV_VAR = "DD_LAMBDA_HANDLER";
export declare const PYTHON_HANDLER = "datadog_lambda.handler.handler";
export declare const JS_HANDLER_WITH_LAYERS = "/opt/nodejs/node_modules/datadog-lambda-js/handler.handler";
export declare const JS_HANDLER = "node_modules/datadog-lambda-js/dist/handler.handler";
export declare const SUBSCRIPTION_FILTER_PREFIX = "DatadogSubscriptionFilter";
/**
 * @stability stable
 */
export declare enum RuntimeType {
    /**
     * @stability stable
     */
    NODE = 0,
    /**
     * @stability stable
     */
    PYTHON = 1,
    /**
     * @stability stable
     */
    UNSUPPORTED = 2
}
export declare const DefaultDatadogProps: {
    addLayers: boolean;
    enableDatadogTracing: boolean;
    injectLogContext: boolean;
    enableDatadogLogs: boolean;
    architecture: string;
    captureLambdaPayload: boolean;
};
/**
 * @stability stable
 */
export declare enum TagKeys {
    /**
     * @stability stable
     */
    CDK = "dd_cdk_construct",
    /**
     * @stability stable
     */
    ENV = "env",
    /**
     * @stability stable
     */
    SERVICE = "service",
    /**
     * @stability stable
     */
    VERSION = "version"
}
export declare const runtimeLookup: {
    [key: string]: RuntimeType;
};
export declare const runtimeToLayerName: {
    [key: string]: string;
};
export declare const govCloudRegions: ReadonlyArray<string>;
